﻿@using App.Erp.Providers
@using Core.Constant
@using Resources
@model Core.Model.Security.LoginModel
@{
    ViewBag.Title = Globals.Login;
    Layout = "~/Views/Shared/_LayoutLogin.cshtml";
}
<br />
<br />
<br />
<br />
<br />
<div class="loginblock block">
    <div class="text-center">
        <br />
        <h2>@Globals.Login</h2>
        <br />
        <a class="hotline">@Actions.Hotline @SettingProvider.GetValue(Settings.HOT_LINE)</a>
    </div>
    @using (Html.BeginForm("Login", "Account", FormMethod.Post, new { role = "form" }))
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary()
        @Html.HiddenFor(m => m.Capcha)
        <div class="form-group">
            <label>Email</label>
            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
            @Html.ValidationMessageFor(m => m.Email, "")
        </div>
        <div class="form-group">
            <label>Mật khẩu</label>
            @Html.PasswordFor(m => m.Password, new { @class = "form-control" })
            @Html.ValidationMessageFor(m => m.Password, "")
        </div>
        <div class="text-center">
            <input type="submit" value="@Actions.Login" class="btn btn-primary" />
        </div>
    }
    <br />
</div>
<script src="https://www.google.com/recaptcha/api.js?render=@SettingProvider.GetValue("G_RECAPCHA_PUBLIC")"></script>
<script>
    grecaptcha.ready(function () {
        grecaptcha.execute('@SettingProvider.GetValue("G_RECAPCHA_PUBLIC")').then(function (token) {
            $("#Capcha").val(token);
        });
    });
</script>